package com.xydl.cac.iec;

import com.xydl.cac.model.StaticVariable;

public class NetErrorThread extends Thread {
    public int iedId;

    public NetErrorThread(Integer iedid) {
        iedId = iedid;
    }

    @Override
    public void run() {
        IecClient iecClient = StaticVariable.realTimeClientMap.get(iedId);
        if (iecClient != null) {
            iecClient.associationClosed(null);
        }
    }
}
